Click or drag to resize

CurveCreateBlendCurve Method (Curve, Double, Boolean, BlendContinuity, Curve, Double, Boolean, BlendContinuity)

Makes a curve blend between 2 curves at the parameters specified with the directions and continuities specified

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static Curve CreateBlendCurve(
	Curve curve0,
	double t0,
	bool reverse0,
	BlendContinuity continuity0,
	Curve curve1,
	double t1,
	bool reverse1,
	BlendContinuity continuity1
)

Parameters

curve0
Type: Rhino.GeometryCurve
First curve to blend from
t0
Type: SystemDouble
Parameter on first curve for blend endpoint
reverse0
Type: SystemBoolean
If false, the blend will go in the natural direction of the curve. If true, the blend will go in the opposite direction to the curve
continuity0
Type: Rhino.GeometryBlendContinuity
Continuity for the blend at the start
curve1
Type: Rhino.GeometryCurve
Second curve to blend from
t1
Type: SystemDouble
Parameter on second curve for blend endpoint
reverse1
Type: SystemBoolean
If false, the blend will go in the natural direction of the curve. If true, the blend will go in the opposite direction to the curve
continuity1
Type: Rhino.GeometryBlendContinuity
Continuity for the blend at the end

Return Value

Type: Curve
The blend curve on success. null on failure
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.6
See Also